function IM=buildMSTIMatrix(frameEdges)
% Побудова матриці інцидентностей по набору остівних ребер для випадку
% неорієнтованого графа
% Вхід:
%    frameEdges - набір остівних ребер для дерева
% Вихід:
%    IM - матриця інцидентностей (ставиться відстань замість "1")

% визначаємо кількість ребер
[m,n]=size(frameEdges);
% будуємо нульову матрицю розміром m x m
IM=zeros(m,m);
% проходимо по кожному ребру і записуємо у матрицю інцидентностей відстань
% на перетині двох вершин
for i=1:m
    IM(frameEdges(i,2),frameEdges(i,3))=frameEdges(i,1);
    % матриця симетрична для неорієнтованого графа, тому пишемо і
    % симетрично відносно головної діагоналі
    IM(frameEdges(i,3),frameEdges(i,2))=frameEdges(i,1);
end